This is the multi-page printable view of this section. Click here to print.

Return to the regular view of this page.

List Transit Gateway Rules

1 - 1.3

get /v1/transit-gateways/{transit_gateway_id}/routing-rules

Description

Get Transit Gateway Rule list.

State ACTIVE (CURRENT)

VersionNot Before
1.3-

Parameters

TypeNameDescriptionSchemaDefault
pathtransit_gateway_id
required
Transit Gateway ID
Example : fe860e0af0c04dcd8182b84f907f31f4
stringNone
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryid
optional
Routing Rule ID
Example : 43772aff4539403d9ba74bf1fdaa00c8
any of [string, null]None
querytgw_connection_vpc_id
optional
VPC ID Connected to Transit Gateway.
Example : ffeced8e191c478eabd66b6e2cab8e34
any of [string, null]None
querytgw_connection_vpc_name
optional
VPC Name Connected to Transit Gateway.
Example : ConnectedVpcName
any of [string, null]None
querysource_type
optional
Source Type
Example : TGW
enum (VPC, TGW, ON_PREMISE)None
querydestination_type
optional
Destination Type
Example : VPC
enum (VPC, TGW, ON_PREMISE)None
querydestination_cidr
optional
Destination CIDR
Example : 192.167.5.0/24
any of [string, null]None
querystate
optional
State
Example : ACTIVE
enum (CREATING, ACTIVE, DELETING, DELETED, ERROR)None
queryrule_type
optional
Rule Type
Example : TGW_VPC
enum (TGW_VPC, TGW_UPLINK)None

Responses

HTTP CodeDescriptionSchema
200OKTransitGatewayRuleListResponseV1Dot2
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/transit-gateways/{transit_gateway_id}/routing-rules

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.3"

Example HTTP response

Response 200

{
    "count": 20,
    "page": 0,
    "size": 20,
    "sort": [
        "created_at:asc"
    ],
    "transit_gateway_rules": [
        {
            "account_id": "f1e6c81a2b054582878cb9724dc2ce9f",
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "description": "Routing Rule Description",
            "destination_cidr": "192.167.5.0/24",
            "destination_resource_id": "ceb44ea5ecb34a49b16495f9a63b0718",
            "destination_resource_name": "VpcName",
            "destination_type": "VPC",
            "id": "43772aff4539403d9ba74bf1fdaa00c8",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "rule_type": "TGW_VPC",
            "source_resource_id": "8582cc5d89994a42ad53282fd4a8d8be",
            "source_resource_name": "TgwName",
            "source_type": "TGW",
            "state": "ACTIVE",
            "tgw_connection_vpc_id": "ffeced8e191c478eabd66b6e2cab8e34",
            "tgw_connection_vpc_name": "ConnectedVpcName"
        }
    ]
}

2 - 1.2

get /v1/transit-gateways/{transit_gateway_id}/routing-rules

Description

Get Transit Gateway Rule list.

State ACTIVE (SUPPORTED)

VersionNot Before
1.220270131

Parameters

TypeNameDescriptionSchemaDefault
pathtransit_gateway_id
required
Transit Gateway ID
Example : fe860e0af0c04dcd8182b84f907f31f4
stringNone
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryid
optional
Routing Rule ID
Example : 43772aff4539403d9ba74bf1fdaa00c8
any of [string, null]None
querytgw_connection_vpc_id
optional
VPC ID Connected to Transit Gateway.
Example : ffeced8e191c478eabd66b6e2cab8e34
any of [string, null]None
querytgw_connection_vpc_name
optional
VPC Name Connected to Transit Gateway.
Example : ConnectedVpcName
any of [string, null]None
querysource_type
optional
Source Type
Example : TGW
enum (VPC, TGW, ON_PREMISE)None
querydestination_type
optional
Destination Type
Example : VPC
enum (VPC, TGW, ON_PREMISE)None
querydestination_cidr
optional
Destination CIDR
Example : 192.167.5.0/24
any of [string, null]None
querystate
optional
State
Example : ACTIVE
enum (CREATING, ACTIVE, DELETING, DELETED, ERROR)None
queryrule_type
optional
Rule Type
Example : TGW_VPC
enum (TGW_VPC, TGW_UPLINK)None

Responses

HTTP CodeDescriptionSchema
200OKTransitGatewayRuleListResponseV1Dot2
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/transit-gateways/{transit_gateway_id}/routing-rules

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.2"

Example HTTP response

Response 200

{
    "count": 20,
    "page": 0,
    "size": 20,
    "sort": [
        "created_at:asc"
    ],
    "transit_gateway_rules": [
        {
            "account_id": "f1e6c81a2b054582878cb9724dc2ce9f",
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "description": "Routing Rule Description",
            "destination_cidr": "192.167.5.0/24",
            "destination_resource_id": "ceb44ea5ecb34a49b16495f9a63b0718",
            "destination_resource_name": "VpcName",
            "destination_type": "VPC",
            "id": "43772aff4539403d9ba74bf1fdaa00c8",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "rule_type": "TGW_VPC",
            "source_resource_id": "8582cc5d89994a42ad53282fd4a8d8be",
            "source_resource_name": "TgwName",
            "source_type": "TGW",
            "state": "ACTIVE",
            "tgw_connection_vpc_id": "ffeced8e191c478eabd66b6e2cab8e34",
            "tgw_connection_vpc_name": "ConnectedVpcName"
        }
    ]
}

3 - 1.1

get /v1/transit-gateways/{transit_gateway_id}/routing-rules

Description

Get Transit Gateway Rule list.

State ACTIVE (SUPPORTED)

VersionNot Before
1.120261130

Parameters

TypeNameDescriptionSchemaDefault
pathtransit_gateway_id
required
Transit Gateway ID
Example : fe860e0af0c04dcd8182b84f907f31f4
stringNone
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryid
optional
Routing Rule ID
Example : 43772aff4539403d9ba74bf1fdaa00c8
any of [string, null]None
querytgw_connection_vpc_id
optional
VPC ID Connected to Transit Gateway.
Example : ffeced8e191c478eabd66b6e2cab8e34
any of [string, null]None
querytgw_connection_vpc_name
optional
VPC Name Connected to Transit Gateway.
Example : ConnectedVpcName
any of [string, null]None
querysource_type
optional
Source Type
Example : TGW
enum (VPC, TGW, ON_PREMISE)None
querydestination_type
optional
Destination Type
Example : VPC
enum (VPC, TGW, ON_PREMISE)None
querydestination_cidr
optional
Destination CIDR
Example : 192.167.5.0/24
any of [string, null]None
querystate
optional
State
Example : ACTIVE
enum (CREATING, ACTIVE, DELETING, DELETED, ERROR)None

Responses

HTTP CodeDescriptionSchema
200OKTransitGatewayRuleListResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/transit-gateways/{transit_gateway_id}/routing-rules

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.1"

Example HTTP response

Response 200

{
    "count": 20,
    "page": 0,
    "size": 20,
    "sort": [
        "created_at:asc"
    ],
    "transit_gateway_rules": [
        {
            "account_id": "f1e6c81a2b054582878cb9724dc2ce9f",
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "description": "Routing Rule Description",
            "destination_cidr": "192.167.5.0/24",
            "destination_resource_id": "ceb44ea5ecb34a49b16495f9a63b0718",
            "destination_resource_name": "VpcName",
            "destination_type": "VPC",
            "id": "43772aff4539403d9ba74bf1fdaa00c8",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "source_resource_id": "8582cc5d89994a42ad53282fd4a8d8be",
            "source_resource_name": "TgwName",
            "source_type": "TGW",
            "state": "ACTIVE",
            "tgw_connection_vpc_id": "ffeced8e191c478eabd66b6e2cab8e34",
            "tgw_connection_vpc_name": "ConnectedVpcName"
        }
    ]
}

4 - 1.0

get /v1/transit-gateways/{transit_gateway_id}/routing-rules

Description

Get Transit Gateway Rule list.

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathtransit_gateway_id
required
Transit Gateway ID
Example : fe860e0af0c04dcd8182b84f907f31f4
stringNone
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryid
optional
Routing Rule ID
Example : 43772aff4539403d9ba74bf1fdaa00c8
any of [string, null]None
querytgw_connection_vpc_id
optional
VPC ID Connected to Transit Gateway.
Example : ffeced8e191c478eabd66b6e2cab8e34
any of [string, null]None
querytgw_connection_vpc_name
optional
VPC Name Connected to Transit Gateway.
Example : ConnectedVpcName
any of [string, null]None
querysource_type
optional
Source Type
Example : TGW
enum (VPC, TGW, ON_PREMISE)None
querydestination_type
optional
Destination Type
Example : VPC
enum (VPC, TGW, ON_PREMISE)None
querydestination_cidr
optional
Destination CIDR
Example : 192.167.5.0/24
any of [string, null]None
querystate
optional
State
Example : ACTIVE
enum (CREATING, ACTIVE, DELETING, DELETED, ERROR)None

Responses

HTTP CodeDescriptionSchema
200OKTransitGatewayRuleListResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/transit-gateways/{transit_gateway_id}/routing-rules

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.0"

Example HTTP response

Response 200

{
    "count": 20,
    "page": 0,
    "size": 20,
    "sort": [
        "created_at:asc"
    ],
    "transit_gateway_rules": [
        {
            "account_id": "f1e6c81a2b054582878cb9724dc2ce9f",
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "description": "Routing Rule Description",
            "destination_cidr": "192.167.5.0/24",
            "destination_resource_id": "ceb44ea5ecb34a49b16495f9a63b0718",
            "destination_resource_name": "VpcName",
            "destination_type": "VPC",
            "id": "43772aff4539403d9ba74bf1fdaa00c8",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "source_resource_id": "8582cc5d89994a42ad53282fd4a8d8be",
            "source_resource_name": "TgwName",
            "source_type": "TGW",
            "state": "ACTIVE",
            "tgw_connection_vpc_id": "ffeced8e191c478eabd66b6e2cab8e34",
            "tgw_connection_vpc_name": "ConnectedVpcName"
        }
    ]
}